//
// Perm.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


/** An enumeration. */
public enum Perm: String, Codable {
    case auditlogRead = "auditlog_read"
    case cameraCreate = "camera_create"
    case cameraDelete = "camera_delete"
    case cameraRead = "camera_read"
    case cameraSnapshotRead = "camera_snapshot_read"
    case cameraUpdate = "camera_update"
    case eventRead = "event_read"
    case faceimageCreate = "faceimage_create"
    case faceimageDelete = "faceimage_delete"
    case faceimageRead = "faceimage_read"
    case facelistCreate = "facelist_create"
    case facelistDelete = "facelist_delete"
    case facelistFaceCreate = "facelist_face_create"
    case facelistFaceDelete = "facelist_face_delete"
    case facelistFaceRead = "facelist_face_read"
    case facelistRead = "facelist_read"
    case facelistUpdate = "facelist_update"
    case faceCreate = "face_create"
    case faceDelete = "face_delete"
    case faceRead = "face_read"
    case faceUpdate = "face_update"
    case groupCreate = "group_create"
    case groupDelete = "group_delete"
    case groupPlaceCreate = "group_place_create"
    case groupPlaceDelete = "group_place_delete"
    case groupPlaceRead = "group_place_read"
    case groupRead = "group_read"
    case groupUpdate = "group_update"
    case groupUserCreate = "group_user_create"
    case groupUserDelete = "group_user_delete"
    case groupUserRead = "group_user_read"
    case onvifRead = "onvif_read"
    case onvifUpdate = "onvif_update"
    case organizationCreate = "organization_create"
    case organizationDelete = "organization_delete"
    case organizationGroupsRead = "organization_groups_read"
    case organizationMembersRead = "organization_members_read"
    case organizationRead = "organization_read"
    case organizationUpdate = "organization_update"
    case permissionCreate = "permission_create"
    case permissionDelete = "permission_delete"
    case permissionRead = "permission_read"
    case placeCreate = "place_create"
    case placeDelete = "place_delete"
    case placeGroupCreate = "place_group_create"
    case placeGroupDelete = "place_group_delete"
    case placeGroupRead = "place_group_read"
    case placePlanRead = "place_plan_read"
    case placeRead = "place_read"
    case placeUpdate = "place_update"
    case planCameraCreate = "plan_camera_create"
    case planCameraDelete = "plan_camera_delete"
    case planCameraRead = "plan_camera_read"
    case planCameraUpdate = "plan_camera_update"
    case planCreate = "plan_create"
    case planDelete = "plan_delete"
    case planRead = "plan_read"
    case planUpdate = "plan_update"
    case platelistCreate = "platelist_create"
    case platelistDelete = "platelist_delete"
    case platelistPlateCreate = "platelist_plate_create"
    case platelistPlateDelete = "platelist_plate_delete"
    case platelistPlateRead = "platelist_plate_read"
    case platelistRead = "platelist_read"
    case platelistUpdate = "platelist_update"
    case plateCreate = "plate_create"
    case plateDelete = "plate_delete"
    case plateRead = "plate_read"
    case plateUpdate = "plate_update"
    case roleCreate = "role_create"
    case roleDelete = "role_delete"
    case roleMemberRead = "role_member_read"
    case rolePermRead = "role_perm_read"
    case roleRead = "role_read"
    case roleUpdate = "role_update"
    case searchFace = "search_face"
    case searchPlate = "search_plate"
    case segmentRead = "segment_read"
    case snapshotRead = "snapshot_read"
    case statsRead = "stats_read"
    case streamRead = "stream_read"
    case uploadCreate = "upload_create"
    case uploadMetaRead = "upload_meta_read"
    case uploadRead = "upload_read"
    case userCreate = "user_create"
    case userDelete = "user_delete"
    case userMeRead = "user_me_read"
    case userMeUpdate = "user_me_update"
    case userRead = "user_read"
    case userUpdate = "user_update"
}